
![BoneSnap Banner (I hope)](https://i.imgur.com/2IFzTp2.png "BoneMenu -> BoneSnap")


# 📷 BoneSnap - A Bonelab Screenshotting Tool
[Thunderstore🔗](https://bonelab.thunderstore.io/package/Fizzyhex/BoneSnap) | [GitHub🔗](https://github.com/Fizzyhex/bonelab-bonesnap)

- Available on: ✅ PCVR ❌ [Quest 2](#compatibility)
- Latest version: [v2.0.0](#changelog)

Take high quality screenshots of your game window with ease, with no more blindly fumbling around for the PrtSc keycap! All captures are saved to your clipboard as well as a folder of your choice (defaulting to `UserData\Screenshots`).

## Compatibility

- BoneSnap simply just takes a snapshot of your game window. In other words, the tool will work with camera mods (Cinematic Tools, GoPro, etc.).
- **This mod does not work on Quest**! Sorry, but I really just don't have the knowledge to get it working over on standalone. If you have any ideas, feel free to contribute over on GitHub.

## Quality

BoneSnap will output as a PNG file with zero compression if you set the quality level to **100**. However, you can also save on space significantly by dropping this below to any other level you please.

Even dropping the quality level to 95 can significantly lower storage costs, but it's up to you!

## Installation

1. **Make sure to install the dependancies!** Scroll up to the 'This mod requires the following mods to function' section on Thunderstore and grab all of those mods first.
2. Download and extract the BoneSnap zip file.
3. Drag both the `Mods` and `UserData` folder over your Bonelab game directory, where the exe file is located. This will merge the BoneSnap files together with your own.
4. Done! Next time you boot up Bonelab, you should see BoneSnap in the BoneMenu.

## Configuration
Looking to edit your output path? You'll need to have launched the game with this mod installed **at least once** before you can do this. Afterwards:
1. Head to the `UserData` folder underneath your game's directory.
2. Open the `MelonPreferences.cfg`file with a text editor of your choice.
3. Find `[BoneSnap]` and change the `OutputPath` setting. Be sure to keep the quotes around it! (e.g, `OutputPath = "UserData/Somewhere/CustomOutputPath"` or `OutputPath = "G:\Users\Arthur\Pictures"`)

## ♥ Thanks!

Hope you like the mod! Huge shoutout to trev and yellowyears for helping with debugging the inital release. - Fizzy

## Changelog

v2.0.0

- Added customisable sound effects that will play before, after and during taking a screenshot. **Make sure you grab Trevs' `AudioImportLib` mod before updating!**
- Made the mod initialise sooner, **bumping the BoneSnap up higher on your BoneMenu**.
- Made the screenshot folder customisable. You can use this to output to any drive or folder on your device.

v1.0.0
- Inital release